# DeleteQuery Class Reference
[Dynamic query builder]

Inheritance diagram for DeleteQuery:
[legend]

List of all members.

## Public Member Functions

| getId ()
| from ($table)
| getTable ()
| toDialectString (Dialect $dialect)

## Protected Attributes

| $table = null

## Detailed Description

Definition at line 15 of file DeleteQuery.class.php.

## Member Function Documentation

DeleteQuery::from | ( | $ | table | ) |

Returns:
  DeleteQuery

Definition at line 27 of file DeleteQuery.class.php.

References $table.

DeleteQuery::getId | ( |  | ) |

Definition at line 19 of file DeleteQuery.class.php.

DeleteQuery::getTable | ( |  | ) |

Implements SQLTableName.

Definition at line 34 of file DeleteQuery.class.php.

DeleteQuery::toDialectString | ( | Dialect $ | dialect | ) |

Implements DialectString.

Definition at line 39 of file DeleteQuery.class.php.

References QuerySkeleton::checkReturning(), QuerySkeleton::returning(), and QuerySkeleton::where().

Here is the call graph for this function:

## Member Data Documentation

DeleteQuery::$table = null`[protected]`

Definition at line 17 of file DeleteQuery.class.php.

Referenced by from().

The documentation for this class was generated from the following file:

- core/OSQL/DeleteQuery.class.php